import Vue from 'vue';
import Router from 'vue-router';
import Home from './views/home.vue';

Vue.use(Router);

const router = new Router({
  // mode: process.env.VUE_APP_ROUTER_MODE || 'history',
  // base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      component: Home,
    },
    {
      path: '/site/config',
      component: () => import(/* webpackChunkName: "cms_config" */ './views/config.vue'),
    },
    {
      path: '/site/list',
      component: () => import(/* webpackChunkName: "cms_sites" */ './views/sites.vue'),
    },
    {
      path: '/news',
      component: () => import(/* webpackChunkName: "cms_news" */ './views/news.vue'),
      children: [
        {
          path: '/news/:column',
        },
      ],
    },
    {
      path: '/service',
      component: () => import(/* webpackChunkName: "cms_news" */ './views/news.vue'),
      children: [
        {
          path: '/service/:column',
        },
      ],
    },
    {
      name: 'column',
      path: '/column/index',
      component: () => import(/* webpackChunkName: "column_index" */ './views/new-views/column.vue'),
    },
    {
      name: 'menu',
      path: '/menu/index',
      component: () => import(/* webpackChunkName: "menu_index" */ './views/new-views/menu.vue'), //'./views/menu/index.vue'
    },
    {
      name: 'module',
      path: '/module/index',
      component: () => import(/* webpackChunkName: "news_index" */ './views/new-views/module.vue'),
    },
    {
      name: 'list',
      path: '/list/index',
      component: () => import(/* webpackChunkName: "news_index" */ './views/new-views/list.vue'),
    },
    {
      name: 'content',
      path: '/content/index',
      component: () => import(/* webpackChunkName: "news_index" */ './views/new-views/content.vue'),
    },
    {
      name: 'news',
      path: '/news/index/:id',
      component: () => import(/* webpackChunkName: "news_index" */ './views/news/index.vue'),
    },
    {
      name: 'site',
      path: '/site/index',
      component: () => import(/* webpackChunkName: "site_index" */ './views/site/index.vue'),
    },
    {
      name: 'link',
      path: '/link/index/:status',
      component: () => import(/* webpackChunkName: "news_index" */ './views/link/index.vue'),
    },
  ],
});

export default router;
