import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
import config from '@frame/config';
const { pageSize = 10 } = config;

Vue.use(Vuex);
const api = {
  column: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/column/create`,
  query: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/column/query`,
  fetch: id => `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/column/fetch/${id}`,
  update: id => `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/column/update/${id}`,
  delete: id => `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/column/delete/${id}`,
  // column: '/adminapi/column/create',
  // query: '/adminapi/column/query',
  // fetch: id => `/adminapi/column/fetch/${id}`,
  // update: id => `/adminapi/column/update/${id}`,
  // delete: id => `/adminapi/column/delete/${id}`,
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  async columnOperation({ state }, { type, data }) {
    let result;
    if (type === 'add') {
      let { info, site } = data;
      result = await this.$axios.$post(api.column, info, { site: site });
    }
    if (type === 'list') {
      let { site } = data;
      const { page = 1, size = pageSize } = data;
      const skip = Math.max(0, (page - 1) * size);
      let options = { skip, limit: size };
      result = await this.$axios.$get(api.query, { site: site, ...options });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.fetch(id));
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.update(id), info);
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$post(api.delete(id));
    }
    return result;
  },
};
