import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';

Vue.use(Vuex);
const api = {
  dictionary: type => `/code/${type}/items`, //type === xzqh:query:level(1/2);parent(无/code)
  findOne: '/code/xzqh/findOne', //query:name
  menu: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/menu/query`,
  column: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/column/query`, //栏目
  module: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/modules/query`,
  list: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/newslist/query`, //信息列表
  content: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/news/query`, //信息
};

export const state = () => ({});
export const mutations = {};
export const actions = {
  // 字典表
  async dicOperation({ state }, type) {
    let result;
    if (!_.isObject(type)) {
      result = await this.$axios.$get(api.dictionary, { type: type });
    } else {
      let { level, parent, name } = type;
      if (name) {
        result = await this.$axios.$get(api.findOne, { name: name });
      } else {
        result = await this.$axios.$get(api.dictionary('xzqh'), { level: level, parent: parent });
      }
    }

    return result;
  },
  //综合查询
  async allSearch({ state }, { type, site }) {
    console.log(type);
    console.log(_.get(api, type));
    let result = await this.$axios.$get(_.get(api, type), { site: site });
    return result;
  },
};
