import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
import config from '@frame/config';
const { pageSize = 10 } = config;

Vue.use(Vuex);
const api = {
  link: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/img/create`,
  query: `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/img/query`,
  fetch: id => `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/img/fetch/${id}`,
  update: id => `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/img/update/${id}`,
  delete: id => `/adminapi${process.env.NODE_ENV === 'development' ? '' : ''}/img/delete/${id}`,
};
export const state = () => ({});

export const mutations = {};

export const actions = {
  async linkOperation({ state }, { type, data }) {
    let result;
    if (type === 'add') {
      let { info, site, column } = data;
      result = await this.$axios.$post(api.link, info, { site: site, column: column });
    }
    if (type === 'list') {
      const { page = 1, size = pageSize } = data;
      const skip = Math.max(0, (page - 1) * size);
      let options = { skip, limit: size };
      let { site, type } = data;
      result = await this.$axios.$get(api.query, { site: site, type: type, ...options });
    }
    if (type === 'search') {
      let { id } = data;
      result = await this.$axios.$get(api.fetch(id));
    }
    if (type === 'update') {
      let { info, id } = data;
      result = await this.$axios.$post(api.update(id), info);
    }
    if (type === 'delete') {
      let { id } = data;
      result = await this.$axios.$post(api.delete(id));
    }
    return result;
  },
};
